#!/bin/sh

# Verify if JAVA_HOME is well defined
if [ ! -r "$JAVA_HOME"/bin/java ]; then
  echo "The JAVA_HOME environment variable is not defined correctly"
  echo "This environment variable is needed to run this program"
  exit 1
fi

JVM_ARGS=-Dfelix.system.properties=file:conf/system.properties
JVM_ARGS=$JVM_ARGS\ -Dfelix.config.properties=file:conf/config.properties

exec $JAVA_HOME/bin/java $JVM_ARGS $JAVA_OPTS -jar felix.jar